<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/approve.master" autoeventwireup="false" inherits="admin_purchases_list, App_Web_y7sdgfts" title="iPurchaseOrder v1.0 Administration" %>
<%@ Register TagPrefix="ew" Namespace="eWorld.UI.Compatibility" Assembly="eWorld.UI.Compatibility" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="content_full">
        <asp:Panel ID="pnl_none" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> No purchases were found using that search criteria.</p>
            </div>
        </asp:Panel>

<asp:Panel id="pnl_txtBoxError" visible="false" runat="server">
    <div align="center">
	    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
	</div>
</asp:Panel>

        <asp:Panel id="pnl_filters" runat="server">
            <fieldset>
                <legend>Search Purchase Orders</legend>
                <table id="tbl_filters" width="65%" cellpadding="2" cellspacing="4" border="0" visible="true" runat="server">
                    <tr>
                        <td>Purchase ID</td>
                        <td>Division</td>
                        <td>Vendor</td>
                        <td><ew:CalendarPopup runat="server" id="date_start" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" /> <b>-</b> <ew:CalendarPopup runat="server" id="date_end" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" /></td>
                        <td>&nbsp;</td>
                        <td>Status</td>
                        <td nowrap="nowrap">Items Per Page</td>
                    </tr>
                    <tr>
                        <td><asp:TextBox Width="125px" ID="purchase_id" CssClass="lblDrop" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ajax_purchase_id" runat="server" TargetControlID="purchase_id" FilterType="Numbers" /></td>
                        <td><asp:DropDownList id="dnv_divisions_id" Width="125px" CssClass="lblDrop" runat="server" /></td>
                        <td><asp:DropDownList id="dnv_clients_id" CssClass="lblDrop" runat="server" /></td>
                        <td nowrap="nowrap">
                        <asp:DropDownList Width="100%" CssClass="lblDrop" AutoPostBack="true" ID="date_range" runat="server">
                            <asp:ListItem>Select Date Range..</asp:ListItem>
                            <asp:ListItem>Today</asp:ListItem>
                            <asp:ListItem>Yesterday</asp:ListItem>
                            <asp:ListItem>This Week</asp:ListItem>
                            <asp:ListItem>Last Week</asp:ListItem>
                            <asp:ListItem>This Month</asp:ListItem>
                            <asp:ListItem>Last Month</asp:ListItem>
                            <asp:ListItem>This Year</asp:ListItem>
                            <asp:ListItem>Last Year</asp:ListItem>
                            <asp:ListItem>All Time</asp:ListItem>
                        </asp:DropDownList>
                        </td>
                        <td>&nbsp;</td>
                        <td><asp:DropDownList id="dnv_status_id" CssClass="lblDrop" runat="server" /></td>
                        <td><asp:DropDownList ID="results" CssClass="lblDrop" runat="server">
                            <asp:ListItem>5</asp:ListItem>
                            <asp:ListItem>10</asp:ListItem>
                            <asp:ListItem Selected="True">20</asp:ListItem>
                            <asp:ListItem>50</asp:ListItem>
                        </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td colspan="7">
                        <asp:Button ID="btn" runat="server" Text="Search" />
                        &nbsp;<asp:button runat="server" Text="Reset" id="cmd_reset" OnClick="cmd_reset_Click"></asp:button>
                        </td>
                    </tr>
                </table>                
            </fieldset>
            
     <div>
    <asp:Panel ID="pnl_Variables" Visible="false" runat="server">
    DivID=&nbsp;<asp:label ID="P_DivID" runat="server" visible="true"/>
    </asp:Panel>
    </div>
            
        </asp:Panel>
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div visible="false" runat="server" id="div_paging_top" class="pages">
                        <span id="span_previous_top" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_top" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_top" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%# DataBinder.Eval(Container, "DataItem.page") %>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_top" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_top" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>
        
<div style="text-align: right; height:1px">
<asp:label id="txtTotalRecords" runat="server" Font-Size="X-Small" Font-Bold="true" ForeColor="#C1C1C1" BorderStyle="None"></asp:label>
</div>

        <asp:Repeater ID="rpt" runat="server">
            <HeaderTemplate>
                <br />
                <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr class="title">
                        <td colspan="20"><h2>Purchases</h2></td>
                        <td align="right" colspan="1">&nbsp;</td>
                    </tr>
                    <tr class="header">
                        <th class="rpt_hdr" nowrap="nowrap" width="50">ID</th>
                        <th class="rpt_hdr" nowrap="nowrap">Actions</th>
                        <th class="rpt_hdr" nowrap="nowrap">Approval</th>
                        <th class="rpt_hdr" nowrap="nowrap">Division</th>
                        <th class="rpt_hdr" nowrap="nowrap">Department</th>
                        <th class="rpt_hdr" nowrap="nowrap">Project</th>
                        <th class="rpt_hdr" nowrap="nowrap">Amount</th>
                        <th class="rpt_hdr" nowrap="nowrap">Budget</th>
                        <th class="rpt_hdr" nowrap="nowrap">Shipping</th>
                        <th class="rpt_hdr" nowrap="nowrap">Vendor</th>
                        <th class="rpt_hdr" nowrap="nowrap">Name</th>
                        <th class="rpt_hdr" nowrap="nowrap">Phone</th>
                        <th class="rpt_hdr" nowrap="nowrap">Terms</th>
                        <th class="rpt_hdr" nowrap="nowrap">Via</th>
                        <th class="rpt_hdr" nowrap="nowrap">Due</th>
                        <th class="rpt_hdr" nowrap="nowrap">Created</th>
                        <th class="rpt_hdr" nowrap="nowrap">Status</th>
                        <th class="rpt_hdr" nowrap="nowrap">Sent for<br />Approval</th>
                        <th class="rpt_hdr" nowrap="nowrap">Sent to<br />Vendor</th>
                        <th class="rpt_hdr" nowrap="nowrap">Sent</th>
                        <th class="rpt_hdr" nowrap="nowrap">Items<br />Received</th>
                    </tr>
                </HeaderTemplate>
            <ItemTemplate>
                    <tr class="shaded">
                        <td align="left" nowrap="nowrap" style="padding:5px 0 0 5px"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></td>
                        <td align="center" nowrap="nowrap">
                        <a href="print.aspx?id=<%# Eval("id") %>&rp=2" target="_blank"><asp:Image ID="Image2" runat="server" ImageUrl="~/images/icons/print.gif" Width="16" Height="16" tooltip="Print Purchase" /></a>
                        </td>
<td align="center" nowrap="nowrap">
<asp:imageButton ID="lnk_approve" runat="server" ImageUrl="~/images/icons/adminapproval_icon.gif" tooltip="Click to Approve Purchase" CommandName="approved" CommandArgument='<%# Eval("id") %>' visible='<%#Functions.DisplayApprovalTrueFalse((DataBinder.Eval(Container.DataItem, "status").ToString),(DataBinder.Eval(Container.DataItem, "ID").ToString),(DataBinder.Eval(Container.DataItem, "divisionsID").ToString))%>' OnClientClick="return confirm('Are you sure you want to approve this purchase?');" />
<asp:Image ID="image4" ImageUrl="~/images/icons/icon_approved.gif" tooltip="Purchase Approved" visible='<%#Functions.DisplayTrueFalseApproved(DataBinder.Eval(Container.DataItem, "status").ToString)%>' runat="server" />
<asp:Image ID="image6" ImageUrl="~/images/icons/icon_waiting.gif" tooltip="Unable to Approval" visible='<%#Functions.DisplayApprovalFalseTrue((DataBinder.Eval(Container.DataItem, "status").ToString),(DataBinder.Eval(Container.DataItem, "ID").ToString),(DataBinder.Eval(Container.DataItem, "divisionsID").ToString))%>' runat="server" />
</td>
                        <td nowrap="nowrap" class="left"><%#Eval("divisionData.divnumber")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("departmentData.PName")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("projectData.PName")%></td>
                        <td align="right" nowrap="nowrap"><%#FormatCurrency(Eval("purchaseTotal"), 2)%></td>
                        <td align="right" nowrap="nowrap"><%#FormatCurrency(Eval("projectData.PBudget"), 2)%></td>
                        <td align="right" nowrap="nowrap"><%#FormatCurrency(Eval("shipping"), 2)%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("vendorData.Company")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("vendorData.LastName")%>, <%#Eval("vendorData.FirstName")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("vendorData.Telephone")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("poterms")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("via")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), DateFormat.ShortDate)%></td>
                        <td align="center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("PurchaseDate")), DateFormat.ShortDate)%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("status")%></td>
                        <td align="center" nowrap="nowrap"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOApprover(DataBinder.Eval(Container.DataItem, "ID"), 6, 0).Count) > 0, "Yes", "No")%></td> 
                        <td align="center" nowrap="nowrap"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOVendor(DataBinder.Eval(Container.DataItem, "ID"), 7).Count) > 0, "Yes", "No")%></td> 
                        <td align="center" nowrap="nowrap"><%#IIf(Convert.ToInt32(Eval("Reminders.Count")) > 0, "<a href='reminders.aspx?id=" & Eval("ID") & "'>Yes</a>", "No")%></td>
                        <td style="vertical-align:middle; text-align:center"><asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Convert.ToBoolean(Eval("ItemsReceived")) %>' AutoPostBack="false" Enabled="false" /></td>
                    </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td align="left" nowrap="nowrap" style="padding:5px 0 0 5px"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></td>
                        <td align="center" nowrap="nowrap">
                        <a href="print.aspx?id=<%# Eval("id") %>&rp=2" target="_blank"><asp:Image ID="Image2" runat="server" ImageUrl="~/images/icons/print.gif" Width="16" Height="16" tooltip="Print Purchase" /></a>
                        </td>
<td align="center" nowrap="nowrap">
<asp:imageButton ID="lnk_approve" runat="server" ImageUrl="~/images/icons/adminapproval_icon.gif" tooltip="Click to Approve Purchase" CommandName="approved" CommandArgument='<%# Eval("id") %>' visible='<%#Functions.DisplayApprovalTrueFalse((DataBinder.Eval(Container.DataItem, "status").ToString),(DataBinder.Eval(Container.DataItem, "ID").ToString),(DataBinder.Eval(Container.DataItem, "divisionsID").ToString))%>' OnClientClick="return confirm('Are you sure you want to approve this purchase?');" />
<asp:Image ID="image4" ImageUrl="~/images/icons/icon_approved.gif" tooltip="Purchase Approved" visible='<%#Functions.DisplayTrueFalseApproved(DataBinder.Eval(Container.DataItem, "status").ToString)%>' runat="server" />
<asp:Image ID="image6" ImageUrl="~/images/icons/icon_waiting.gif" tooltip="Unable to Approval" visible='<%#Functions.DisplayApprovalFalseTrue((DataBinder.Eval(Container.DataItem, "status").ToString),(DataBinder.Eval(Container.DataItem, "ID").ToString),(DataBinder.Eval(Container.DataItem, "divisionsID").ToString))%>' runat="server" />
</td>
                        <td nowrap="nowrap" class="left"><%#Eval("divisionData.divnumber")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("departmentData.PName")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("projectData.PName")%></td>
                        <td align="right" nowrap="nowrap"><%#FormatCurrency(Eval("purchaseTotal"), 2)%></td>
                        <td align="right" nowrap="nowrap"><%#FormatCurrency(Eval("projectData.PBudget"), 2)%></td>
                        <td align="right" nowrap="nowrap"><%#FormatCurrency(Eval("shipping"), 2)%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("vendorData.Company")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("vendorData.LastName")%>, <%#Eval("vendorData.FirstName")%></td>
                        <td nowrap="nowrap" class="left"><%#Eval("vendorData.Telephone")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("poterms")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("via")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), DateFormat.ShortDate)%></td>
                        <td align="center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("PurchaseDate")), DateFormat.ShortDate)%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("status")%></td>
                        <td align="center" nowrap="nowrap"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOApprover(DataBinder.Eval(Container.DataItem, "ID"), 6, 0).Count) > 0, "Yes", "No")%></td> 
                        <td align="center" nowrap="nowrap"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOVendor(DataBinder.Eval(Container.DataItem, "ID"), 7).Count) > 0, "Yes", "No")%></td> 
                        <td align="center" nowrap="nowrap"><%#IIf(Convert.ToInt32(Eval("Reminders.Count")) > 0, "<a href='reminders.aspx?id=" & Eval("ID") & "'>Yes</a>", "No")%></td> 
                        <td style="vertical-align:middle; text-align:center"><asp:CheckBox ID="CheckBox2" runat="server" Checked='<%# Convert.ToBoolean(Eval("ItemsReceived")) %>' AutoPostBack="false" Enabled="false" /></td>
                    </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div visible="false" runat="server" id="div_paging_btm" class="pages">
                        <span id="span_previous_btm" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_btm" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_btm" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%#DataBinder.Eval(Container, "DataItem.page")%>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_btm" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_btm" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>

         <p>&nbsp;</p>

    </div>   
</asp:Content>

