<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>
<%@ page language="VB" masterpagefile="~/admin/admin.master" validaterequest="false" autoeventwireup="false" inherits="admin_configuration_templates_setup, App_Web_oihz7qx0" title="iPurchaseOrder v1.0 Administration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="content_partial">
    
        <h2 class="title no_space_under"></h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />
	                
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Your changes have been saved.</p>
            </div>
        </asp:Panel>
                                        
        <fieldset>
		    <legend>Edit Email Template</legend>
		    <table width="100%" cellpadding="4" cellspacing="0" border="0">
		        <tr>
		            <td>Subject:</td>
		            <td><asp:TextBox Width="380" ID="subject" CssClass="lblDrop" runat="server" /></td>
		            <td><asp:RequiredFieldValidator ID="r1" runat="server" ControlToValidate="subject" ErrorMessage="Subject Required" EnableClientScript="false" /></td>
		        </tr>
		        <tr>
		            <td>Status:</td>
		            <td><asp:DropDownList ID="dnv_status_id" CssClass="lblDrop" runat="server" /></td>
		            <td>&nbsp;</td>
		        </tr>
		        <tr>
		            <td>HTML?:</td>
		            <td><asp:CheckBox Text="Yes" ID="html" CssClass="lblDrop" runat="server" /></td>
		            <td>&nbsp;</td>
		        </tr>
		        <tr>
		            <td valign="top">Body:</td>
		            <td><asp:TextBox ID="body" CssClass="lblDrop" textmode="MultiLine" Width="50%" height="200" runat="server"></asp:TextBox></td>
		            <td>&nbsp;</td>
		        </tr>
		        <tr>
                    <td></td>
                    <td><asp:Button ID="cmd" Width="120" runat="server" Text="Submit" /></td>
		            <td>&nbsp;</td>
                </tr>
		    </table>
		    
		</fieldset>
		
		<fieldset>
	        <legend>Data Tags</legend>
	        <table cellpadding="4">
	            <tr>
	                <th width="100">Tag</th>
	                <th>Description</th>
	            </tr>
	            <tr>
	                <td>@first_name</td>
	                <td>First name of recepient.</td>
	            </tr>
	            <tr>
	                <td>@last_name</td>
	                <td>Last name of recepient.</td>
	            </tr>
	            <tr>
	                <td>@email</td>
	                <td>Email address of recepient.</td>
	            </tr>
	            <tr>
	                <td>@password</td>
	                <td>Password of recepient.</td>
	            </tr>
	            <tr>
	                <td>@invoice</td>
	                <td>Referenced Invoice</td>
	            </tr>
	            <tr>
	                <td>@purchase</td>
	                <td>Referenced Purchase Order</td>
	            </tr>
	            <tr>
	                <td>@app_url</td>
	                <td>This application's web address</td>
	            </tr>
	            <tr>
					<td>@pdf</td>
					<td>Add anywhere in the template to have the PDF attach to the email</td>
				</tr>
	        </table>
	    </fieldset>
	    
    </div>
    
</asp:Content>