<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_paymentspo_list, App_Web_i8s3gxxe" title="iPurchaseOrder v1.0 Administration" %>
<%@ Register TagPrefix="ew" Namespace="eWorld.UI.Compatibility" Assembly="eWorld.UI.Compatibility" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="content_full">    
        <h2 class="title no_space_under">Payments</h2>
        
        <asp:Panel ID="pnl_none" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> No payments were found using that search criteria.</p>
            </div>
        </asp:Panel>
        
        <h2 class="title no_space_under"></h2>
        <fieldset>
            <legend>Search Payments</legend>
                <table id="tbl_filters" width="65%" cellpadding="2" cellspacing="4" border="0" visible="true" runat="server">
                <tr>
                    <td>Payment ID</td>
                    <td>vendor</td>
                    <td>
                    <ew:CalendarPopup runat="server" id="date_start" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" /> <b>-</b> <ew:CalendarPopup runat="server" id="date_end" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" />
                        </td>
                    <td>Status</td>
                    <td nowrap="nowrap">Items Per Page</td>
                </tr>
                <tr>
                    <td><asp:TextBox Width="60px" ID="dnv_paymentspo_id" CssClass="lblDrop" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ajax_payment_id" runat="server" TargetControlID="dnv_paymentspo_id" FilterType="Numbers" /></td>
                    <td><asp:DropDownList id="dnv_vendors_id" CssClass="lblDrop" runat="server" /></td>
                    <td nowrap="nowrap">
                    <asp:DropDownList Width="100%" CssClass="lblDrop" AutoPostBack="true" ID="date_range" runat="server">
                        <asp:ListItem>Select Date Range..</asp:ListItem>
                        <asp:ListItem>Today</asp:ListItem>
                        <asp:ListItem>Yesterday</asp:ListItem>
                        <asp:ListItem>This Week</asp:ListItem>
                        <asp:ListItem>Last Week</asp:ListItem>
                        <asp:ListItem>This Month</asp:ListItem>
                        <asp:ListItem>Last Month</asp:ListItem>
                        <asp:ListItem>This Year</asp:ListItem>
                        <asp:ListItem>Last Year</asp:ListItem>
                        <asp:ListItem>All Time</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                    <td><asp:DropDownList id="dnv_status_id" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:DropDownList ID="results" CssClass="lblDrop" runat="server">
                        <asp:ListItem>5</asp:ListItem>
                        <asp:ListItem>10</asp:ListItem>
                        <asp:ListItem Selected="True">20</asp:ListItem>
                        <asp:ListItem>50</asp:ListItem>
                    </asp:DropDownList></td>
                </tr>
                <tr>
                    <td>Payment Type</td>
                    <td>Company</td>
                    <td>Account Number</td>
                    <td>Note</td>
                </tr>
                <tr>
                    <td><asp:DropDownList ID="payment_types" CssClass="lblDrop" runat="server"></asp:DropDownList></td>
                    <td><asp:TextBox ID="company" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="accountnumber" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="note" CssClass="lblDrop" runat="server" /></td>
                </tr>
                <tr>
                    <td colspan="5"><asp:Button ID="cmd" runat="server" Text="Search" /></td>
                </tr>
            </table>
        </fieldset>
        
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div visible="false" runat="server" id="div_paging_top" class="pages">
                        <span id="span_previous_top" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_top" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_top" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%# DataBinder.Eval(Container, "DataItem.page") %>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_top" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_top" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>
        
        <asp:Repeater ID="rpt" runat="server">
            <HeaderTemplate>
                <br />
                <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr class="title">
                        <td colspan="9"><h2>Search Results</h2></td>
                    </tr>
                    <tr class="header">
                        <th align="center" class="rpt_hdr" nowrap="nowrap">&nbsp;</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">&nbsp;</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">purchase</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Name</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Company</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Amount</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Type</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Date</th>                        
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Status</th>
                    </tr>
                </HeaderTemplate>
            <ItemTemplate>
                    <tr class="shaded">
                        <td align="center" nowrap="nowrap"><a href="edit.aspx?id=<%# Eval("PaymentID") %>">View</a></td>
                        <td align="center" nowrap="nowrap"><asp:LinkButton ID="lnk_delete" runat="server" Text="Delete" CommandName="delete" CommandArgument='<%# Eval("PaymentID") %>' OnvendorClick="return confirm('Are you sure you want to delete this payment?');" /></td>
                        <td align="center" nowrap="nowrap"><a href="../purchases/edit.aspx?id=<%# Eval("purchaseID") %>"><%#Eval("purchaseID")%></a></td>
                        <td align="center" nowrap="nowrap"><%#Eval("last_name")%>, <%#Eval("first_name")%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("company")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatCurrency(Eval("amount"),2)%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("type")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("inserted")), DateFormat.ShortDate)%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("status")%></td>
                    </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td align="center" nowrap="nowrap"><a href="edit.aspx?id=<%# Eval("PaymentID") %>">View</a></td>
                        <td align="center" nowrap="nowrap"><asp:LinkButton ID="lnk_delete" runat="server" Text="Delete" CommandName="delete" CommandArgument='<%# Eval("PaymentID") %>' OnClientClick="return confirm('Are you sure you want to delete this payment?');" /></td>
                        <td align="center" nowrap="nowrap"><a href="../purchases/edit.aspx?id=<%# Eval("purchaseID") %>"><%#Eval("purchaseID")%></a></td>
                        <td align="center" nowrap="nowrap"><%#Eval("last_name")%>, <%#Eval("first_name")%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("company")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatCurrency(Eval("amount"),2)%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("type")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatDateTime(Convert.ToDateTime(Eval("inserted")), DateFormat.ShortDate)%></td>
                        <td align="center" nowrap="nowrap"><%#Eval("status")%></td>
                    </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div visible="false" runat="server" id="div_paging_btm" class="pages">
                        <span id="span_previous_btm" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_btm" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_btm" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%#DataBinder.Eval(Container, "DataItem.page")%>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_btm" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_btm" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>
        
    </div>     
     
</asp:Content>