<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ control language="VB" autoeventwireup="false" inherits="controls_invoice, App_Web_qzeytpcu" %>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td style="width: 48%;">
            <fieldset style="height: 150px;">
                <legend>Client</legend>
                <div runat="server" id="bill_to" />
            </fieldset>
        </td>
        <td style="width: 20px;"></td>
        <td style="width: 48%;">
            <fieldset style="height: 150px;">
                <legend>Invoice Details</legend>
                <table width="100%" cellpadding="2" cellspacing="0" border="0">
                    <tr>
                        <td nowrap="nowrap" class="lbl_bold left">Invoice Number:</td>
                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="invoice_prefix" Runat="server" /><asp:Label ID="invoice_id" Runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap" class="lbl_bold left">Invoice Date:</td>
                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="invoice_date" Runat="server" /></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap" class="lbl_bold left">Due Date:</td>
                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="due_date" Runat="server" /></td>
                    </tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">FOB:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="fob" Runat="server" /></td>
</tr>
<tr><td nowrap="nowrap" class="lbl_bold left">VIA:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="via" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">Terms:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="invterms" Runat="server" /></td>
</tr>
                </table>					                        
            </fieldset>
        </td>
    </tr>
</table>
<br />
<asp:Repeater ID="rpt" Runat="server">
    <HeaderTemplate>
        <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
            <tr class="title" style="text-align: left;">
                <td colspan="5"><h2>Invoice Items</h2></td>
            </tr>
            <tr class="header">
                <th valign="top" class="left lbl_bold">Description</th>
                <th valign="top" width="58" class="lbl_bold center">Quantity</th>
                <th valign="top" width="66" class="lbl_bold center">Unit Price</th>
                <th valign="top" width="66" class="lbl_bold center">Total</th>
                <th valign="top" width="40" class="lbl_bold center">Taxable</th>
            </tr>
    </HeaderTemplate>		        
    <ItemTemplate>
        <tr class="shaded">
            <td class="left"><%#Eval("description")%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("quantity"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("amount"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("ItemTotal"), 2)%></td>
            <td style="text-align:center;"><%#IIf(Convert.ToBoolean(Eval("Taxable")), "Yes", "No")%></td>
        </tr>
    </ItemTemplate>
    <AlternatingItemTemplate>
        <tr class="noshaded">
            <td class="left"><%#Eval("description")%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("quantity"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("amount"), 2)%></td>
            <td style="text-align:center;"><%#FormatNumber(Eval("ItemTotal"), 2)%></td>
            <td style="text-align:center;"><%#IIf(Convert.ToBoolean(Eval("Taxable")), "Yes", "No")%></td>
        </tr>
    </AlternatingItemTemplate>
    <FooterTemplate>
        </table>
    </FooterTemplate> 
</asp:Repeater>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
    	<td valign="top" class="left" style="width: 48%;">
            <fieldset>
                <legend>Comments</legend>
                <asp:label ID="comments" runat="server"></asp:label>
            </fieldset>
        </td>
        <td style="width: 20px;"></td>
        <td style="width:48%;">		                    
            <fieldset>
                <legend>Totals</legend>
                <table width="100%" cellpadding="3" cellspacing="2" border="0">
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Sub-Total:</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="sub_total" runat="server" CssClass="right" /></td>
                    </tr>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b><asp:Literal ID="tax_label" runat="server"></asp:Literal>: <asp:Label ID="tax_rate" Text="0.0" CssClass="center" runat="server" />%</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="tax" runat="server" CssClass="right" /></td>
                    </tr>
                    <asp:Panel ID="tax_panel" runat="server">
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b><asp:Literal ID="tax_2_label" runat="server"></asp:Literal>: <asp:Label ID="tax_2_rate" Text="0.0" CssClass="center" runat="server" />%</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="tax_2" runat="server" CssClass="right" /></td>
                    </tr>
                    </asp:Panel>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Total:</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="total" runat="server" CssClass="right" /></td>
                    </tr>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right">Payments:</td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ID="payments" runat="server" CssClass="right" /></td>
                    </tr>
                    <tr>
                        <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Amount Due:</b></td>
                        <td nowrap="nowrap" width="100" class="right"><asp:Label ForeColor="red" ID="amount_due" runat="server" CssClass="right" /></td>
                    </tr>
                </table>
            </fieldset>		                
        </td>
    </tr>
</table>